Skip Menu |
 
rt.cpan.org will be shut down on March 1st, 2021.

This queue is for tickets about the Module-Install CPAN distribution.

Report information
The Basics
Id: 48709
Status: resolved
Priority: 0/
Queue: Module-Install

People
Owner: Nobody in particular
Requestors: bkb [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Unimportant
Broken in: (no value)
Fixed in: (no value)



Subject: YAML::Tiny dependency
Download (untitled) / with headers
text/plain 437b
When I installed this module using cpan Module::Install just now, it claimed that YAML::Tiny was only needed during the build, so I said not to install it permanently. After building it, I got the following error (twice): Cannot find an extension with method 'write_meta' at /home/ben/software/install/ lib/perl5/site_perl/5.10.0/Module/Install/Admin.pm line 186. I then installed YAML::Tiny from CPAN and this error disappeared.
Download (untitled) / with headers
text/plain 800b
Птн. Авг. 14 09:19:03 2009, BKB писал: Show quoted text
> When I installed this module using > > cpan Module::Install > > just now, it claimed that YAML::Tiny was only needed during the build, so > I said not to install it permanently. After building it, I got the > following error (twice): > > Cannot find an extension with method 'write_meta' at > /home/ben/software/install/ > lib/perl5/site_perl/5.10.0/Module/Install/Admin.pm line 186. > > I then installed YAML::Tiny from CPAN and this error disappeared.
This looks like problem of CPAN.pm, not Module::Install. Module::Install declares 'requires' dependency on YAML::Tiny. Also it requires it with 'configure_requires'. It seems that CPAN.pm does not analyze that it is also declared in 'requires'. -- Alexandr Ciornii, http://chorny.net
Closed this ticket as we have declared YAML::Tiny dependency. Thanks.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.